CREATE TABLE InventoryFolders (
  ID VARCHAR(36) NOT NULL,
  Type SMALLINT DEFAULT NULL,
  Version SMALLINT DEFAULT NULL,
  ParentID VARCHAR(36) DEFAULT NULL,
  Owner VARCHAR(36) DEFAULT NULL,
  Name VARCHAR(64) DEFAULT NULL,
  PRIMARY KEY (ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Rev. 1';

CREATE INDEX InventoryFoldersOwnerIdIndex ON InventoryFolders (Owner);
CREATE INDEX InventoryFoldersParentIdIndex ON InventoryFolders (ParentID);

CREATE TABLE InventoryItems (
  ID VARCHAR(36) NOT NULL,
  InvType SMALLINT DEFAULT NULL,
  AssetType SMALLINT DEFAULT NULL,
  AssetID VARCHAR(36) DEFAULT NULL,
  Folder VARCHAR(36) DEFAULT NULL,
  Owner VARCHAR(36) DEFAULT NULL,
  Creator VARCHAR(36) DEFAULT NULL,
  Name VARCHAR(64) DEFAULT NULL,
  Description VARCHAR(64) DEFAULT NULL,
  NextPermissions INT DEFAULT NULL,
  CurrentPermissions INT DEFAULT NULL,
  BasePermissions INT DEFAULT NULL,
  EveryOnePermissions INT DEFAULT NULL,
  GroupID VARCHAR(36) DEFAULT NULL,
  GroupOwned BIT DEFAULT NULL,
  SalePrice INT DEFAULT NULL,
  SaleType TINYINT DEFAULT NULL,
  Flags INT DEFAULT NULL,
  CreationDate INT DEFAULT NULL,
  PRIMARY KEY (ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Rev. 1';

CREATE INDEX InventoryItemsGroupIdIndex ON InventoryItems (GroupID);
CREATE INDEX InventoryItemsOwnerIdIndex ON InventoryItems (Owner);
CREATE INDEX InventoryItemsFolderIdIndex ON InventoryItems (Folder);
