CREATE TABLE Regions (
  RegionId VARCHAR(36) NOT NULL,
  RegionHandle BIGINT UNSIGNED NOT NULL,
  RegionName VARCHAR(32) DEFAULT NULL,
  RegionRecvKey VARCHAR(128) DEFAULT NULL,
  RegionSendKey VARCHAR(128) DEFAULT NULL,
  RegionSecret VARCHAR(128) DEFAULT NULL,
  RegionDataURI VARCHAR(255) DEFAULT NULL,
  ServerIP VARCHAR(64) DEFAULT NULL,
  ServerPort INT UNSIGNED DEFAULT NULL,
  ServerURI VARCHAR(255) DEFAULT NULL,
  RegionLocX INT UNSIGNED DEFAULT NULL,
  RegionLocY INT UNSIGNED DEFAULT NULL,
  RegionLocZ INT UNSIGNED DEFAULT NULL,
  EastOverrideHandle BIGINT UNSIGNED DEFAULT NULL,
  WestOverrideHandle BIGINT UNSIGNED DEFAULT NULL,
  SouthOverrideHandle BIGINT UNSIGNED DEFAULT NULL,
  NorthOverrideHandle BIGINT UNSIGNED DEFAULT NULL,
  RegionAssetURI VARCHAR(255) DEFAULT NULL,
  RegionAssetRecvKey VARCHAR(128) DEFAULT NULL,
  RegionAssetSendKey VARCHAR(128) DEFAULT NULL,
  RegionUserURI VARCHAR(255) DEFAULT NULL,
  RegionUserRecvKey VARCHAR(128) DEFAULT NULL,
  RegionUserSendKey VARCHAR(128) DEFAULT NULL, 
  regionMapTexture VARCHAR(36) DEFAULT NULL,
  ServerHttpPort INT DEFAULT NULL, 
  ServerRemotingPort INT DEFAULT NULL,
  OwnerID VARCHAR(36) DEFAULT NULL,
  OriginID VARCHAR(36) DEFAULT NULL,
  PRIMARY KEY  (uuid),
);

CREATE INDEX RegionNameIndex ON Regions (RegionName);
CREATE INDEX RegionHandleIndex ON Regions (RegionHandle);
CREATE INDEX RegionHandlesIndex ON Regions (EastOverrideHandle,WestOverrideHandle,SouthOverrideHandle,NorthOverrideHandle);
